%define _requires_exceptions devel\(libnoatunarts\)\\|libnoatunarts.so\\|devel\(libnoatunarts\(.*\)\\|libwinskinvis.so\\|libartseffects.so\\|libmpeg-0.3.0.so\\|libyafcore.so\\|libyafxplayer.so\\|devel\(libartsbuilder\)

%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Name:		kdemultimedia
Summary:	K Desktop Environment - Multimedia
Version: 3.5.4
Release: %mkrel 6
Epoch: 1
Group:	Graphical desktop/KDE
License:	GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Source2:	kdemultimedia-3.3.2-add-multimedia-shortcuts-jukrc
Patch0:	kdemultimedia-3.3.0-fix-dont-start-visible.patch
Patch1:	kdemultimedia-3.3.2-fix-kmix-default-config.patch
Patch2:	kdemultimedia-3.4.0-activate-kscd-numeric-acces.patch
Patch3: kdemultimedia-post-3.5.4-kcontrol-defaults.patch
Patch4: kdemultimedia-post-3.5.4-kmix-indicator.patch
Patch5: kdemultimedia-post-3.5.4-kfile-cd-xa.patch
Patch6: kdemultimedia-post-3.5.4-kmix-shortcuts.patch
Patch7: kdemultimedia-3.5.4-kscd-priority.patch
BuildRequires: cdparanoia 
BuildRequires: libxine-devel 
BuildRequires: libtaglib-devel >= 0.96 
BuildRequires: libflac++-devel
BuildRequires: musicbrainz-devel
BuildRequires: libtunepimp-devel 
BuildRequires: mad-devel 
BuildRequires: libtheora-devel
BuildRequires:	libcdda-devel
BuildRequires: oggvorbis-devel
BuildRequires: libflac++-devel
BuildRequires: liboggflac++-devel
BuildRequires: libspeex-devel
BuildRequires: libsamplerate-devel
%if %mdkversion > 200600
BuildRequires:	akode-devel
BuildRequires:  libfreebob-devel
%endif
BuildRoot:	%_tmppath/%name-%version-%release-root
Conflicts: %{mklibname kdemultimedia 1}-noatun <= %epoch:3.2-14mdk
# Don't add kdemultimedia-arts package on meta provides
# This package have offensive mcop files and is usefull just
# if you want develop new synthesizer objects with artsbuilder 
Requires: kdemultimedia-common = %epoch:%version-%release
Requires: kdemultimedia-kmix = %epoch:%version-%release
Requires: kdemultimedia-kmid = %epoch:%version-%release
Requires: kdemultimedia-kaudiocreator = %epoch:%version-%release
Requires: kdemultimedia-kscd = %epoch:%version-%release
Requires: kdemultimedia-kaboodle = %epoch:%version-%release
Requires: kdemultimedia-noatun = %epoch:%version-%release

%description
Multimedia tools for the K Desktop Environment.
	- noatun: a multimedia player for sound and movies, very extensible due 
			  to it's plugin interface
	- kaudiocreator: CD ripper and audio encoder frontend.
	- kaboodle: light media player
	- kmid: A standalone and embeddable midi player, includes a karaoke-mode
	- kmix: the audio mixer as a standalone program and Kicker applet
	- kscd: A CD player with an interface to the internet CDDB database
	- krec: A recording frontend using aRts

%files

#-------------------------------------------------------------------------

%package common
Summary:	Common files for kdemultimedia
Group:		Graphical desktop/KDE
Requires:	%lib_name-common = %epoch:%version-%release
Requires:	arts, vorbis-tools
Obsoletes:	kdemultimedia3
Provides:	kdemultimedia3
Obsoletes:	kdemultimedia-aktion
Conflicts:	%{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: kde-config-file

%description common
Common files for kdemultimedia

%post common 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun common 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files common
%defattr(-,root,root)
%_sysconfdir/xdg/menus/applications-merged/kde-multimedia-music.menu
%_datadir/doc/HTML/en/kioslave/audiocd.docbook
%_bindir/yaf-cdda
%_bindir/yaf-mpgplay
%_bindir/yaf-splay
%_bindir/yaf-tplay
%_bindir/yaf-vorbis
%_bindir/yaf-yuv
%_libdir/kde3/kfile_*.la
%_libdir/kde3/kfile_*.so
%_libdir/kde3/kcm_audiocd.*
%_libdir/kde3/kio_audiocd.*
%_datadir/apps/konqueror/servicemenus/audiocd_play.desktop
%_datadir/apps/konqueror/servicemenus/audiocd_extract.desktop
%_menudir/kdemultimedia-audiocd
%_datadir/desktop-directories/kde-multimedia-music.directory
%_datadir/apps/kconf_update/audiocd.upd
%_datadir/apps/kconf_update/upgrade-metadata.sh
%_datadir/applications/kde/audiocd.desktop
%_iconsdir/*/*/*/arts*
%dir %_datadir/apps/videothumbnail/
%_datadir/apps/videothumbnail/*
%_datadir/services/audiocd.protocol
%_datadir/services/kfile_*
%_libdir/kde3/videothumbnail.*
%_libdir/kde3/libaudiocd_*
%_datadir/apps/kappfinder/apps/Multimedia/*.desktop
%_datadir/services/videothumbnail.desktop
%_datadir/config.kcfg/audiocd_lame_encoder.kcfg
%_datadir/config.kcfg/audiocd_vorbis_encoder.kcfg

#-------------------------------------------------------------------------

%package -n %lib_name-common-devel
Summary:	Header files for kdemultimedia
Group:		Development/KDE and Qt
Requires:		%lib_name-common = %epoch:%version-%release

Obsoletes:  kdemultimedia3-devel
Provides:   kdemultimedia3-devel

Obsoletes:  kdemultimedia-devel
Provides:   kdemultimedia-devel = %epoch:%version-%release

Obsoletes:  %lib_name-devel
Provides:   %lib_name-devel = %epoch:%version-%release
Provides:	%lib_name_orig-common-devel = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= %epoch:3.4.2-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= %epoch:3.2-14mdk

%description -n %lib_name-common-devel
Header files needed for developing kdemultimedia applications.

%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_includedir/*
%_libdir/libaudiocdplugins.so
%_libdir/libmpeg.so
%_libdir/libkcddb.so
%_libdir/libkmidlib.so
%_libdir/libmpeg-0.3.0.so
%_libdir/libyafxplayer.so
%_libdir/libyafcore.so
%_libdir/libmpeg.la
%_libdir/libyafcore.la
%_libdir/libyafxplayer.la
%_libdir/libarts_*.so
%exclude %_includedir/noatun
%exclude %_includedir/arts

#-------------------------------------------------------------------------

%package -n %lib_name-common
Summary:	Libraries files for kdemultimedia
Group:         Graphical desktop/KDE
Obsoletes: %lib_name
Provides: %lib_name = %epoch:%version-%release
Provides: %lib_name_orig-common = %epoch:%version-%release
Conflicts: kdemultimedia <= 3.1-10mdk
Conflicts: %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts: kdemultimedia-common < %epoch:3.5.3-8mdv2007.0

%description -n %lib_name-common
Libraries files needed for developing kdemultimedia applications.

%post -n %lib_name-common -p /sbin/ldconfig
%postun -n %lib_name-common -p  /sbin/ldconfig

%files -n %lib_name-common
%defattr(-,root,root,-)
%_libdir/libkmidlib.la
%_libdir/libkmidlib.so.*
%_libdir/libkcddb.la
%_libdir/libkcddb.so.*
%_libdir/libaudiocdplugins.la
%_libdir/libaudiocdplugins.so.*
%_libdir/mcop/xine*
%_libdir/libarts_xine.so.*
%_libdir/libarts_xine.la
%if %mdkversion > 200600
%_libdir/mcop/akode*
%_libdir/libarts_akode.so.*
%_libdir/libarts_akode.la
%endif
%_libdir/mcop/audiofile*
%_libdir/libarts_audiofile.so.*
%_libdir/libarts_audiofile.la
%_bindir/mpeglibartsplay
%_libdir/libarts_mpeglib*.so.*
%_libdir/libarts_mpeglib*.la
%_libdir/libarts_splay.so.*
%_libdir/libarts_splay.la
%_libdir/mcop/CDDAPlayObject.mcopclass
%_libdir/mcop/MP3PlayObject.mcopclass
%_libdir/mcop/NULLPlayObject.mcopclass
%_libdir/mcop/OGGPlayObject.mcopclass
%_libdir/mcop/SplayPlayObject.mcopclass
%_libdir/mcop/WAVPlayObject.mcopclass

#-------------------------------------------------------------------------

%package juk
Summary:       JuK is a jukebox and music manager for the KDE desktop.
Group:         Graphical desktop/KDE
Requires:      kdemultimedia-common = %epoch:%version-%release
Provides:	juk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description juk
JuK is a jukebox and music manager for the KDE desktop similar to 
jukebox software on other platforms such as iTunes or RealOne. 
Its features include support for Ogg Vorbis and MP3 formats, 
tag editing support for both formats (including ID3v2 for MP3 files), 
output to aRts or GStreamer, multiple playlists, and lots of other 
groovy stuff.

%post  juk 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  juk 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files juk
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/juk
%_bindir/juk
%_datadir/applications/kde/juk.desktop
%_menudir/kdemultimedia-juk
%_iconsdir/*/*/*/juk*
%config(noreplace) %_datadir/config/jukrc
%dir %_datadir/apps/juk
%_datadir/apps/juk/*
%_datadir/apps/konqueror/servicemenus/jukservicemenu.desktop

#-------------------------------------------------------------------------

%package kmix
Summary:       kmix, kmixctrl program
Group:         Graphical desktop/KDE
Provides:	kmix, kmixctrl
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires:	 alsa-utils
Obsoletes:	%lib_name-kmix

%description kmix
The audio mixer as a standalone program and Kicker applet

%post kmix 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  kmix 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif


%files kmix
%defattr(-,root,root,-)
%_bindir/kmix
%_bindir/kmixctrl
%doc %_docdir/HTML/en/kmix
%_libdir/kde3/kmix*.so
%_libdir/kde3/kmix*.la
%_menudir/kdemultimedia-kmix
%_datadir/autostart/restore_kmix_volumes.desktop
%_iconsdir/*/*/*/kmix*
%_datadir/services/kmixctrl_restore.desktop
%_datadir/applications/kde/kmix.desktop
%dir %_datadir/apps/kmix/
%_datadir/apps/kmix/*
%_datadir/apps/kicker/applets/kmixapplet.desktop
%_libdir/libkdeinit_kmix.*
%_libdir/libkdeinit_kmixctrl.*

#-------------------------------------------------------------------------

%package krec
Summary:       krec program
Group:         Graphical desktop/KDE
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	krec
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Obsoletes: %lib_name-krec

%description krec
A recording frontend using aRts

%post  krec 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  krec 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files krec
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/krec
%_bindir/krec
%dir %_datadir/apps/krec/
%_datadir/apps/krec/*
%_datadir/applications/kde/krec.desktop
%_menudir/kdemultimedia-krec
%_iconsdir/*/*/*/krec.*
%_libdir/kde3/kcm_krec_files.*
%_libdir/kde3/krec.*
%_libdir/kde3/kcm_krec.*
%_libdir/kde3/libkrecexport_*
%_libdir/libkdeinit_krec.*
%_datadir/services/krec_*
%_datadir/services/kcm_krec*
%_datadir/servicetypes/krec_*

#-------------------------------------------------------------------------

%package kscd
Summary:       kscd program
Group:         Graphical desktop/KDE

Provides:	kscd
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %lib_name-kscd
Obsoletes: %lib_name-kscd-devel

%description kscd
A CD player with an interface to the internet CDDB database

%post  kscd 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  kscd 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kscd
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kscd
%_bindir/kscd
%_bindir/workman2cddb.pl
%_iconsdir/*/*/*/kscd*
%_datadir/config.kcfg/kscd.kcfg
%_datadir/config.kcfg/libkcddb.kcfg
%_menudir/kdemultimedia-libkcddb
%_menudir/kdemultimedia-kscd
%_datadir/applications/kde/libkcddb.desktop
%_datadir/applications/kde/kscd.desktop
%dir %_datadir/apps/kscd/
%_datadir/apps/kscd/*
%_datadir/apps/profiles/kscd.profile.xml
%_datadir/apps/kconf_update/kcmcddb-emailsettings.upd
%_libdir/kde3/kcm_cddb.*
%_datadir/mimelnk/text/xmcd.desktop

#-------------------------------------------------------------------------

%package kmid
Summary:       kmid program
Group:         Graphical desktop/KDE
Provides: kmid
Provides: kmidi
Provides: kdemultimedia-kmidi = %epoch:%version-%release
Conflicts:      kdemultimedia <= 3.1-10mdk
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: kdemultimedia-kmidi < %epoch:3.5.3-5mdv2007.0

%description kmid
Kmid program

%post  kmid 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  kmid 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kmid
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kmid
%_bindir/kmid
%_iconsdir/*/*/*/kmid.*
%_menudir/kdemultimedia-kmid
%_libdir/kde3/libkmidpart.*
%dir %_datadir/apps/kmid/
%_datadir/apps/kmid/*
%_datadir/mimelnk/audio/x-karaoke.desktop
%_datadir/servicetypes/audiomidi.desktop
%_datadir/applications/kde/kmid.desktop

#-------------------------------------------------------------------------

%package kaudiocreator
Summary:       kaudiocreator program
Group:         Graphical desktop/KDE
Conflicts:      kdemultimedia <= 3.1-10mdk
Provides:	kaudiocreator
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires:	arts
Requires:	%lib_name-common = %epoch:%version-%release
Requires:	kdemultimedia-common = %epoch:%version-%release
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description kaudiocreator
CD ripper and audio encoder frontend.

%post  kaudiocreator 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  kaudiocreator 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kaudiocreator
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kaudiocreator
%_bindir/kaudiocreator
%_menudir/kdemultimedia-kaudiocreator
%_datadir/applications/kde/kaudiocreator.desktop
%dir %_datadir/apps/kaudiocreator/
%_datadir/apps/kaudiocreator/*
%_iconsdir/*/*/*/kaudiocreator*
%_datadir/apps/kconf_update/kaudiocreator-libkcddb.upd
%_datadir/config.kcfg/kaudiocreator.kcfg
%_datadir/config.kcfg/kaudiocreator_encoders.kcfg
%_datadir/apps/kconf_update/kaudiocreator-meta.upd
%_datadir/apps/kconf_update/upgrade-kaudiocreator-metadata.sh

#-------------------------------------------------------------------------

%package kaboodle
Summary: kaboodle program
Group: Graphical desktop/KDE
Provides: kaboodle
Conflicts: kdemultimedia <= 3.1-10mdk
Conflicts: %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts: %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Requires: arts
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %lib_name-kaboodle

%description kaboodle
Light media player

%post  kaboodle 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  kaboodle 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files kaboodle
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kaboodle
%_bindir/kaboodle
%_datadir/services/kaboodle*
%_menudir/kdemultimedia-kaboodle
%_datadir/applications/kde/kaboodle.desktop
%_iconsdir/*/*/*/kaboodle*
%_libdir/kde3/libkaboodlepart.*
%dir %_datadir/apps/kaboodle/
%_datadir/apps/kaboodle/*

#-------------------------------------------------------------------------

%package arts
Summary: arts synth control programs
Group: Graphical desktop/KDE
Requires: %lib_name-arts = %epoch:%version-%release
Requires: %lib_name-common = %epoch:%version-%release
Conflicts: %lib_name-common < %epoch:3.5.3-7mdv2007.0

%description arts
A synthesizer control programs

%post  arts 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  arts 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files arts
%defattr(-,root,root,-)
%_bindir/artsbuilder
%_bindir/artscontrol
%_bindir/midisend
%dir %_datadir/apps/artsbuilder
%_datadir/apps/artsbuilder/*
%dir %_datadir/apps/artscontrol
%_datadir/apps/artscontrol/*
%doc %_docdir/HTML/en/artsbuilder
%_menudir/kdemultimedia-artsbuilder
%_menudir/kdemultimedia-artscontrol
%_datadir/apps/kicker/applets/artscontrolapplet.desktop
%_datadir/mimelnk/application/x-artsbuilder.desktop
%_datadir/applications/kde/artsbuilder.desktop
%_datadir/applications/kde/artscontrol.desktop
%dir %_libdir/mcop/Arts
%_libdir/mcop/Arts/*

#-------------------------------------------------------------------------

%package -n %lib_name-arts
Summary: Library for arts program
Group: Development/KDE and Qt
Conflicts: %lib_name-common < %{epoch}:3.5.3-5mdv2007.0

%description -n %lib_name-arts
Library for arts program

%post -n %lib_name-arts -p /sbin/ldconfig
%postun -n %lib_name-arts -p  /sbin/ldconfig

%files -n %lib_name-arts
%defattr(-,root,root,-)
%_libdir/mcop/artsmodulescommon.*
%_libdir/mcop/artsbuilder.*
%_libdir/mcop/artsmodules.*
%_libdir/mcop/artsmodulesmixers.*
%_libdir/mcop/artsmodulessynth.*
%_libdir/mcop/artsmoduleseffects.*
%_libdir/mcop/artsmidi.*
%_libdir/mcop/artsgui.*
%_libdir/libartsbuilder.la
%_libdir/libartsbuilder.so.*
%_libdir/libartscontrolapplet.la
%_libdir/libartscontrolapplet.so.*
%_libdir/libartscontrolsupport.la
%_libdir/libartscontrolsupport.so.*
%_libdir/libartsgui_idl.la
%_libdir/libartsgui_idl.so.*
%_libdir/libartsgui_kde.la
%_libdir/libartsgui_kde.so.*
%_libdir/libartsgui.la
%_libdir/libartsgui.so.*
%_libdir/libartsmidi_idl.la
%_libdir/libartsmidi_idl.so.*
%_libdir/libartsmidi.la
%_libdir/libartsmidi.so.*
%_libdir/libartsmodulescommon.la
%_libdir/libartsmodulescommon.so.*
%_libdir/libartsmoduleseffects.la
%_libdir/libartsmoduleseffects.so.*
%_libdir/libartsmodules.la
%_libdir/libartsmodulesmixers.la
%_libdir/libartsmodulesmixers.so.*
%_libdir/libartsmodules.so.*
%_libdir/libartsmodulessynth.la
%_libdir/libartsmodulessynth.so.*

#-------------------------------------------------------------------------

%package -n %lib_name-arts-devel
Summary: Devel headers and libraries for arts program
Group: Development/KDE and Qt
Conflicts: %lib_name-common-devel < %epoch:3.5.3-7mdv2007.0
Requires: %lib_name-arts = %epoch:%version-%release

%description -n %lib_name-arts-devel
Devel headers and libraries for arts

%files -n %lib_name-arts-devel
%defattr(-,root,root,-)
%_includedir/arts
%_libdir/libartsbuilder.so
%_libdir/libartscontrolapplet.so
%_libdir/libartscontrolsupport.so
%_libdir/libartsgui_idl.so
%_libdir/libartsgui_kde.so
%_libdir/libartsgui.so
%_libdir/libartsmidi_idl.so
%_libdir/libartsmidi.so
%_libdir/libartseffects.so
%_libdir/libartsmodulescommon.so
%_libdir/libartsmoduleseffects.so
%_libdir/libartsmodules.so
%_libdir/libartsmodulesmixers.so
%_libdir/libartsmodulessynth.so

#-------------------------------------------------------------------------

%package noatun
Summary:       noatun program
Group:         Graphical desktop/KDE
Requires:	%lib_name-noatun = %epoch:%version-%release
Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

Provides:	noatun
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description noatun
A multimedia player for sound and movies, very extensible due to 
it's plugin interface

%post  noatun 
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun  noatun 
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files noatun
%defattr(-,root,root,-)
%_bindir/noatun
%doc %_docdir/HTML/en/noatun
%dir %_datadir/apps/noatun
%_datadir/apps/noatun/*
%_menudir/kdemultimedia-noatun
%_libdir/kde3/noatun*.*
%_iconsdir/*/*/*/noatun*
%_datadir/applications/kde/noatun.desktop
%_datadir/mimelnk/interface/x-winamp-skin.desktop
%_datadir/apps/kconf_update/noatun20update
%_datadir/apps/kconf_update/noatun.upd

#-------------------------------------------------------------------------

%package -n %lib_name-noatun
Summary:       Librarie for Noatun  program
Group:         Development/KDE and Qt
Conflicts:		kdemultimedia <= 3.1-10mdk
Provides:	%lib_name_orig-noatun = %epoch:%version-%release
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk
Conflicts:  %lib_name-common < %{epoch}:3.5.3-5mdv2007.0

%description -n %lib_name-noatun
Library for noatun program

%post -n %lib_name-noatun -p /sbin/ldconfig
%postun -n %lib_name-noatun -p  /sbin/ldconfig

%files -n %lib_name-noatun
%defattr(-,root,root,-)
%dir %_libdir/mcop/Noatun/
%_libdir/mcop/Noatun/*
%_libdir/mcop/artseffects.mcopclass            
%_libdir/mcop/VoiceRemoval.mcopclass
%_libdir/mcop/artseffects.mcoptype             
%_libdir/mcop/noatunarts.mcopclass  
%_libdir/mcop/winskinvis.mcopclass
%_libdir/mcop/ExtraStereoGuiFactory.mcopclass  
%_libdir/mcop/noatunarts.mcoptype   
%_libdir/mcop/winskinvis.mcoptype
%_libdir/mcop/ExtraStereo.mcopclass            
%_libdir/mcop/RawWriter.mcopclass
%_libdir/kde3/noatun*.so
%_libdir/kde3/noatun.la
%_libdir/libartseffects.la*
%_libdir/libnoatuncontrols.so.*
%_libdir/libnoatuntags.so.*
%_libdir/libnoatunarts.la*
%_libdir/libnoatun.la*
%_libdir/libwinskinvis.la*
%_libdir/libnoatun.so.*
%_libdir/libnoatuncontrols.la*
%_libdir/libnoatuntags.la*
%_libdir/libkdeinit_noatun.la
%_libdir/libkdeinit_noatun.so
%_libdir/libnoatunarts.so

#-------------------------------------------------------------------------

%package -n %lib_name-noatun-devel
Summary:       Devel files for Noatun  program
Group:         Development/KDE and Qt
Requires:	%lib_name-noatun = %epoch:%version-%release
Requires:	%lib_name-arts-devel = %epoch:%version-%release
Provides:	%lib_name_orig-noatun-devel
Provides:	noatun-devel
Conflicts:  %{mklibname kdemultimedia 1}-kscd-devel <= 3.1.3-16mdk
Conflicts:  %{mklibname kdemultimedia 1}-noatun <= 3.2-14mdk

%description -n %lib_name-noatun-devel
Devel files for noatun program

%files -n %lib_name-noatun-devel
%defattr(-,root,root,-)
%dir %_includedir/noatun/
%_includedir/noatun/*.h
%_libdir/libnoatuncontrols.so
%_libdir/libnoatun.so
%_libdir/libnoatuntags.so
%_libdir/libwinskinvis.so

#-------------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .fix_kmix_start_hide
%patch1 -p1 -b .fix_autostart_kmix
%patch2 -p1 -b .fix_kscd_numeric_acces
%patch3 -p1 -b .post354
%patch4 -p1 -b .post354
%patch5 -p1 -b .post354
%patch6 -p1 -b .post354

%build
export QTDIR=%_prefix/lib/qt3

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic \
%if %mdkversion > 200600
   --with-akode \
%endif	
%ifarch %ix86
   --with-alsa \
%endif
    --with-kscd-cdda

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

# Create LMDK structure
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kdemultimedia-arts Multimedia/Sound %buildroot/%_datadir/applications/kde/artsbuilder.desktop %buildroot/%_menudir/kdemultimedia-artsbuilder kde
kdedesktop2mdkmenu.pl kdemultimedia-arts Multimedia/Sound %buildroot/%_datadir/applications/kde/artscontrol.desktop %buildroot/%_menudir/kdemultimedia-artscontrol kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applications/kde/juk.desktop %buildroot/%_menudir/kdemultimedia-juk kde
kdedesktop2mdkmenu.pl kdemultimedia-kmid Multimedia/Sound %buildroot/%_datadir/applications/kde/kmid.desktop %buildroot/%_menudir/kdemultimedia-kmid kde
kdedesktop2mdkmenu.pl kdemultimedia-kmid Multimedia/Sound %buildroot/%_datadir/applications/kde/kmid.desktop %buildroot/%_menudir/kdemultimedia-kmid kde
kdedesktop2mdkmenu.pl kdemultimedia-kmix Multimedia/Sound %buildroot/%_datadir/applications/kde/kmix.desktop %buildroot/%_menudir/kdemultimedia-kmix kde
kdedesktop2mdkmenu.pl kdemultimedia-kscd Multimedia/Sound %buildroot/%_datadir/applications/kde/kscd.desktop %buildroot/%_menudir/kdemultimedia-kscd kde
kdedesktop2mdkmenu.pl kdemultimedia-noatun Multimedia/Sound %buildroot/%_datadir/applications/kde/noatun.desktop %buildroot/%_menudir/kdemultimedia-noatun kde
kdedesktop2mdkmenu.pl kdemultimedia-kaboodle Multimedia/Sound %buildroot/%_datadir/applications/kde/kaboodle.desktop %buildroot/%_menudir/kdemultimedia-kaboodle kde
kdedesktop2mdkmenu.pl kdemultimedia-kaudiocreator Multimedia/Sound %buildroot/%_datadir/applications/kde/kaudiocreator.desktop %buildroot/%_menudir/kdemultimedia-kaudiocreator kde
kdedesktop2mdkmenu.pl kdemultimedia-krec Multimedia/Sound %buildroot/%_datadir/applications/kde/krec.desktop %buildroot/%_menudir/kdemultimedia-krec kde
kdedesktop2mdkmenu.pl kdemultimedia-common System/Configuration/KDE/Sound %buildroot/%_datadir/applications/kde/audiocd.desktop %buildroot/%_menudir/kdemultimedia-audiocd kde
kdedesktop2mdkmenu.pl kdemultimedia-kscd System/Configuration/KDE/Sound %buildroot/%_datadir/applications/kde/libkcddb.desktop %buildroot/%_menudir/kdemultimedia-libkcddb kde




# David - 2.1-1mdk - Title of %buildroot/%_menudir/kdemultimedia-kmidi is
#                    "Midi/Karaoke". "Midi/" create a new and non wished
#                    subdirectory. Foolowing command fix that
perl -pi -e "s|Midi\/|Midi and |" %buildroot/%_menudir/kdemultimedia-kmid

# David - 2.2-0.beta1.1mdk - Remove some non legal songs
for i in %buildroot/%_datadir/apps/kmidi/*.mid ; do rm -f $i ; done


install -d -m 0775 %buildroot/%_datadir/config/
install -m 0644 %SOURCE2 %buildroot/%_datadir/config/jukrc


%clean
rm -fr %buildroot



%changelog
* Tue Sep 12 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-12 23:01:11 (61140)
- Adde priority change on kscd. Removed audiodevice default ( kscd will base on
  priority guess )

* Thu Sep 07 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-07 08:45:26 (60456)
- New package (2006-09-07 3.5.4-5mdv)
  Fix upgrade 2006->2007

* Wed Sep 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-06 20:57:04 (60395)
- Fix from upstream to bug http://qa.mandriva.com/show_bug.cgi?id=21221
  Thanks to peroyvind for point this one

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 02:48:36 (57781)
- Add last part of kcontrol patch

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 01:53:28 (57779)
- Fix last cd-xa patch

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-24 01:09:04 (57776)
- Added defaults patches for kio_audiocd
- kmix fix from kde branch tree
- cd-xa fix from kde branch tree

* Sat Aug 05 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-05 14:35:08 (53212)
- New package (2006/08/05 3.5.4-1mdv)

* Sat Jul 29 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-29 16:15:59 (42612)
- Updated for latest official kde 3.5.4 release

* Thu Jul 27 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-27 16:03:29 (42303)
- Fixed audiofilearts plugin load. Users with libkdemultimedia-common package
  installed will suffer a crash with last package

* Fri Jul 21 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-21 18:35:52 (41896)
- The broken mcop interface was moved for new kdemultimedia-arts package. To
  keep compatibility, the packages libkdemultimedia-arts and
  libkdemultimedia-arts-devel was created. The arts output packages, splitted on
  last login was reverted to main common package, since there's no need for this
  specific split.
  The reason why package kdemultimedia-arts with the broken mcop ifaces is still
  enabled comes from the use of arts as a music synthesizer, effects processor,
  but not used frequently by users. Installing this specific package will make
  kde audio notifications crash artsd.
  The kdemultimedia meta package not install kdemultimedia arts package.
  TODO: Remove kdemultimedia-arts functionality ?

* Thu Jul 20 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-20 23:28:42 (41786)
- kdemultimedia arts mcop modules are causing major arts crashes, mainly on
  system notification, so the decision to split package was necessary. New packages created:
- kdemutimedia-arts-akode
- kdemutimedia-arts-xine
- kdemutimedia-arts-mpeglib
- kdemutimedia-arts-audiofile
- kdemutimedia-arts
- libkdemultimedia1-arts
  Next path is trace which is the offender mcop library on package kdemultimedia-arts that crashes
  system audio notification ( and recursive crashes on arts ), then disable it and make noatun
  available for meta package kdemultimedia again. Users installing noatun today will
  suffer from arts notification crashes. The problem is upstream and should be
  fixed locally since there are no plans to change arts architecture on last 3.x
  kde releases

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-20 13:55:14 (41704)
- Disable debug

* Mon Jul 17 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-17 21:04:27 (41479)
- Clean and rearrange spec file
- Added tarball from kde branch as discussed on meeting in 28/06
- Removed rpath and added configure macro invalidating libtoolize
- Added strip macro as stated by Nanar ( for unstable builds )
- Removed unused and invalid patches
- Standard menu reenabled for now. ( Waiting final changes on new menu )
- Fixed noatun file list ( thanks neoclust )
- Obsolete kmidi package and added kpart on kmid package ( timidy not exists
  anymore on kde package )
- Make remaining patches bunzipped

* Mon Jun 26 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-26 18:55:58 (38065)
- Use macro

* Sun Jun 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-25 13:52:36 (38023)
- Add requires(post) to fix upgrade

* Sun Jun 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-25 11:52:57 (38022)
--enable-new-ldflags doesn't work on x86_64

* Fri Jun 09 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-09 18:25:03 (36923)
- Fix setuid

* Thu Jun 08 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-08 16:25:57 (36808)
- Allow to build on 2006

* Sat Jun 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-03 13:58:35 (31905)
- 3.5.3

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed May 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-17 15:24:28 (27536)
- Rebuild against new xorg

* Sat May 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-06 12:28:45 (26977)
- Rebuild to add category

* Thu May 04 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-04 15:51:36 (26880)
- Move xdg menu directory

* Mon Apr 17 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-17 13:41:42 (26506)
- Add missing files

* Sat Apr 15 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-15 20:03:42 (26504)
- 3.5.2

* Wed Feb 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-01 15:53:10 (1541)
- 3.5.1

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 08:35:41 (1512)
- MDK9.2 is obsolete now

* Thu Jan 26 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-26 16:02:50 (1479)
- Fix buildrequires for mdk <=2006

* Fri Jan 13 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-13 16:55:38 (1423)
- Add libfreebob-devel as buildrequires

* Fri Jan 13 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-13 16:05:56 (1422)
- Sync with kde3.5 branch

* Thu Jan 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-12 15:32:03 (1416)
- Sync with kde3.5 branch

* Fri Dec 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-02 18:32:09 (1239)
- Fix buildrequires

* Fri Dec 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-02 17:14:17 (1238)
- Fix file list

* Fri Dec 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-02 16:42:53 (1237)
- Use akode to compile kdemultimedia

* Tue Nov 29 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-29 14:35:19 (1214)
- Real kde3.5

* Mon Nov 14 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-14 16:56:15 (1158)
- 3.5.0

* Wed Nov 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-09 10:20:32 (1139)
- Fix spec file

* Wed Nov 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-09 08:17:52 (1138)
- Move libyafcore.so into kdemultimedia-common
  (not sure that it's the good method)

* Fri Nov 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-04 18:04:59 (1120)
- Fix typo

* Tue Oct 25 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-25 14:33:57 (1062)
- 3.4.92

* Tue Sep 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-13 17:39:11 (889)
- Remove requires on libnoatunarts.so

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 08:42:49 (849)
- Rebuild

* Wed Sep 07 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-07 19:00:20 (826)
- Fix kscd autostart

* Tue Aug 30 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-30 10:37:14 (771)
- Fix compile under x86_64

* Tue Aug 23 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-23 14:15:11 (720)
- Add direct audio device by default patch from  fundawang

* Tue Aug 23 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-23 08:57:36 (713)
- New sync (kaudiocreator fixes)

* Thu Aug 18 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-18 02:41:25 (683)
- New sync

* Fri Aug 12 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-12 04:24:32 (607)
- Fix kscd crash kde bug #17468

* Wed Aug 03 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-03 11:24:30 (519)
- Remove debug
  Fix diff from 3.4.2 branch

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-22 08:17:28 (416)
- 3.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 20:14:35 (138)
- Uploading package ./kdemultimedia

%changelog
* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-7mdk
- Rebuild

* Thu Apr 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Add missing buildrequires found by Christiaan Welvaart <cjw@daneel.dyndns.org>

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Oops fix exception

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix depend
- Fix requires

* Wed Apr 13 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Add  alsa-utils MDK #11144

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandriva.com>  3.4.0-2mdk
- Add patch32: fix kscd numeric acces

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0 
- Use --enable-new-ldflags
- Reactivate debug
- Fix exception

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Add patch22: fix build with cdda

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Add patch21: fix audiocd encoder "The quality setting is a double and not integer."

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Requires kaudiocreator on kdemultimedia-common MDK #14450

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Add patch20: fix kfile-flac crash

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Fix juk : "Restore the playlist time display when stop is pressed."

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Fix kscd config file (multimedia shortcut)
- Add jukrc shortcut file

* Fri Feb 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.2-16mdk
- fix build on x86_64

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch26: fix launch kscd with device

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Fix generated menu entry

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Fix MDK bug "Unknown Protocol 'audiocd'."

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Add patch25: fix autostart restore kmix (disable by default as in config)

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Add patch24: fix kscd kde bug #92164 (re read shortcut)

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch23: fix juk kde bug #97097

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Rebuild

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch22: fix kaudiocreator path

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Add missing buildrequires as requested by Per yvind Karlsen (thanks)

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Add patch21: fix kscd duplicate entry into shortcut

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Add kscdrc to multimedia shortcut

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix missing package

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Tue Nov 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-8mdk
- Fix other arts requires

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-7mdk
- Requires arts

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Bye-bye %%buildfor

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Fix create audiocd menu

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix other buildrequires

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix buildrequires

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2
- Sync with CVS

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-6mdk
- Rebuild with new taglib

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Sync with kde 3.3 branch

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix conflict

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Sync with kde 3.3 branch (fix kscd)

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Fix kcddb install menu

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Add patch19: add command line to kscd "kscd --device /dev/hdc" necessary
	for magicdev

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch18: fix kscd change device

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Use musicbrain

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix dependancy

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch17: fix patch on close
- Sync with CVS

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Add missing buildrequires

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-6mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Fix conflict

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Sync with CVS

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild again qt 3.3.2

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix conflict reported by Titi

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Use %%configure
- Use mdkversion

* Mon Mar 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Fix patch16: don't load volume on statup

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Add patch15: start kmix as applet
- Add patch16: don't load volume on startup otherwise it overwrites mdk mixer config

* Wed Mar 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Remove cddaslave for gb

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Fix spec file

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Sync with CVS (fix kaudiocreator)

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix distlint

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Sync with CVS

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (fix crash into krec)

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix crash into kmix

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS (fix juk)
- Rebuild with new kdedesktop2mdkmenu.pl
- Fix distlint

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS (kmix fix)

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Update CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distint pb

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.3mdk
- Fix update from 9.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change package version

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Fix menu entry

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- Fix requires
- 3.1.95

* Mon Jan 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Add epoch for rpm 4.2.2

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Fix description

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Fix BuildRequires
- Sync with CVS
- use use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- --enable-final

* Wed Dec 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Tue Dec 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- sync with CVS

* Fri Dec 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Rebuild with new taglib

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Beta2
- Fix typo
- Fix group

* Fri Nov 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Fix menu

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix some provides

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix spec file

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Use taglib

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Sync with CVS

* Wed Oct 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Fix spec file

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Sync with CVS

* Wed Oct 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVS

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Sync with CVS

* Fri Oct 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Sync with CVS

* Sat Oct 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Sync with CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Update from CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92
- Fix requires

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Fix spec file

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix upgrade

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix depend

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Fix split

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Fix build

* Fri Aug 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Add patch14: fix kaudiocreator default value

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix description

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Other split

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Create meta package

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split again

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix compile

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Add provides

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Split

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix install devel package

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Patch12 fix compile

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Fix requires

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Add patch10: fix requires (Thanks Gwenole)

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Rebuild

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Rebuild

* Fri Jun 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Add patch9: allow to change shortcut in krec

* Fri Jun 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Patch6 : Add default value in kaudiocreator
- Patch7: allow to change shortcut in kboodle
- Patch8: fix kmid change shortcut 

* Wed Jun 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Add patch5: allow to change shortcut in kmix

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Split kmidi

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2
- Apply patch from David Walser remove conflict with Timidity

* Fri Apr 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Add buildfor9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Add patch5 : fix from kde3.1 branch
fix kaboodle :" don't jump every second"
Fix kscd

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code fix kaudiocreator bug

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( remove midi files )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kscd bug )

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kscd (Bug 53935)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code from kde_3_1_branch fix kscd dialog box bug, fix detect alsa version

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch4 : fix kscd (don't stop playing on the next track after pressing next)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Add patch3 : remove mem leak

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove debug

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add patch2 : fix mem leak in arts

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch "Make it lib64 aware"

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch16 : sync config and default value in kcontrol->audiocd

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry (audiocd)

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com> 

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing files

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch15 : fix noatun patch from Maks Orlovich <mo002j@mail.rochester.edu>

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch14 : fix kscd mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch13 : Improve kaboodle patch

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch12 : fix crash when kaboodle is embedded into konqueror 

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch10 : fix select arts module with double click in artsbuilder
- Add patch11 : fix artbuilder mem leak ( 3 mem leak )

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch8 : fix mem leak in koncd
- Add patch9 : fix mem leak in kmix -> kcontrol

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Remove requires on xanim

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add conflict TiMidity++

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Add patch7 : fix compile on ix64
- Rebuild against gcc-3.2

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Patch4: fix makefile.am in kmidi patch from David Faure.
- Patch5: Other fix in Makefile.am for kmidi/BIPMAPS patch from David Faure
- Patch6: Other fix in Makefile.am for kmidi patch from David Faure

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Reactivate debug

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuid with libstdc++3.1

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix provide/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-7mdk
- Rebuild aginst gcc3.1
- Add patch3 fix compile on gcc 3.1 patch by "MDK gcc man" gwenole thanks a lot !
- Add patch2 fix other compile problem on gcc3.1

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Desactivate alsa support for 8.3 for the moment kmix doesn't compile
with alsa0.9

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Fix spec file

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix noatun bugs

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Thu Mar 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix spec

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.4mdk
- rebuild

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Add missing files

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- add patch1 fix compile

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 05 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Remove 7.2 support (too old to be easily supported)
- Don't build static libraries
- Allow KDE 2 and KDE 3 to be installed in same time
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Add missing files
- Fix Group:

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improved spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
